# Uses of Enum Class
com.sun.source.tree.Tree.Kind

Packages that use Tree.Kind
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).

## Uses of Tree.Kind in com.sun.source.tree

Methods in com.sun.source.tree that return Tree.Kind
Modifier and Type
Method
Description
`Tree.Kind`
Tree.`getKind()`
Returns the kind of this tree.
`static Tree.Kind`
Tree.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Tree.Kind[]`
Tree.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.